List active Quick Present sessions
GET
/api/v1/presentation-overrides
const url = 'https://example.com/api/v1/presentation-overrides';const options = {method: 'GET', headers: {cookie: 'tilecast_session=<tilecast_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/presentation-overrides \ --cookie tilecast_session=<tilecast_session>Requires an authenticated dashboard user.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Active temporary presentation overrides
Media typeapplication/json
object
data
required
object
items
required
Array<object>
Active Quick Present session. The stopped timestamp and reason appear once the session ends.
object
id
required
string format: uuid
targetType
required
string
targetId
required
string format: uuid
targetName
required
string
contentType
required
string
contentId
required
string format: uuid
contentName
required
string
durationSeconds
required
integer
startedAt
required
string format: date-time
expiresAt
string format: date-time
afterAction
required
string
wakeDisplay
required
boolean
stoppedAt
string format: date-time
stopReason
string
total
required
integer
Example
{ "data": { "items": [ { "targetType": "screen", "contentType": "playlist", "afterAction": "resume" } ] }}Dashboard authentication required